summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author nmoura <moura.nilton@gmail.com>2010-05-13 00:35:52 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:35:52 +0200
commit19824e0015c224c70f9b150cec044a164f34df57 (patch)
tree228d9deca453e9715f11559d347cd7dbf1da26bc /network
parentb70ca631c5910a6a6994d7cc01c3afa5016af7d2 (diff)
downloadslackbuilds-19824e0015c224c70f9b150cec044a164f34df57.tar.gz
slackbuilds-19824e0015c224c70f9b150cec044a164f34df57.tar.xz
network/btpd: Updated for version 0.15
Diffstat (limited to 'network')
-rw-r--r--network/btpd/README35
-rw-r--r--network/btpd/btpd.SlackBuild12
-rw-r--r--network/btpd/btpd.info12
-rw-r--r--network/btpd/slack-desc28
4 files changed, 51 insertions, 36 deletions
diff --git a/network/btpd/README b/network/btpd/README
index 40dfc99531..a63b2bbd16 100644
--- a/network/btpd/README
+++ b/network/btpd/README
@@ -1,17 +1,20 @@
-BTPD is a bittorrent client consisting of a daemon and
-client commands, which can be used to read and/or
-manipulate the daemon state. The daemon is capable of
-running several torrents simultaneously and only uses one
-tcp port. It's fairly low on resource usage and should be
-perfect for file distribution sites. Efficient downloads and
-ease of use makes this client a good choice for the casual
-user as well.
+Btpd is a utility for sharing files over the BitTorrent network protocol.
+It runs in daemon mode, thus needing no controlling terminal or gui. Instead,
+the daemon is controlled by the btcli command line utility, or other programs
+capable of sending commands and queries on the btpd control socket.
-Features:
-* Runs multiple torrents simultaneously;
-* Only uses one tcp port;
-* Command line interface;
-* Runs as a daemon; no need for constant gui or terminal;
-* Bandwidth rate limiting for out- and inbound traffic;
-* Supports the multitracker extension;
-* Supports the key tracker extension.
+The goal is to provide a healthy alternative to the still prevailing ftp/http
+servers for file distribution sites and a good BitTorrent client for the
+casual user.
+
+Features of btpd include:
+ * Reasonable resource usage.
+ * Runs in daemon mode; no need for constant terminal or gui.
+ * Command line interface.
+ * Sharing of multiple torrents in one btpd process.
+ * Upload and download rate limiting.
+ * IPv6 support.
+ * Multitracker support.
+
+Btpd is very simple and easy to use. The official README (which is located in
+the standard documentation directory) is small and complete, so read it first.
diff --git a/network/btpd/btpd.SlackBuild b/network/btpd/btpd.SlackBuild
index 63765bee58..dfc8fc37d3 100644
--- a/network/btpd/btpd.SlackBuild
+++ b/network/btpd/btpd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for btpd
-# Copyright 2008 Nilton Moura a.k.a bombtrack or nmoura <moura.nilton@gmail.com>
+# Copyright 2009 Nilton Moura a.k.a nmoura <moura.nilton@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=btpd
-VERSION=${VERSION:-0.13}
+VERSION=${VERSION:-0.15}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -65,8 +65,10 @@ make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -78,4 +80,4 @@ cd $TMP/$PRGNAM-$VERSION
cp -a CHANGES COPYRIGHT README $PKG/usr/doc/$PRGNAM-$VERSION
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/btpd/btpd.info b/network/btpd/btpd.info
index 72bf53eb6d..fedaf95fa2 100644
--- a/network/btpd/btpd.info
+++ b/network/btpd/btpd.info
@@ -1,8 +1,10 @@
PRGNAM="btpd"
-VERSION="0.13"
+VERSION="0.15"
HOMEPAGE="http://www.murmeldjur.se/btpd/"
-DOWNLOAD="http://www.murmeldjur.se/btpd/btpd-0.13.tar.gz"
-MD5SUM="0d9c4a672eea6f298fa6e44d94da1657"
-MAINTAINER="nmoura/bombtrack"
+DOWNLOAD="http://www.murmeldjur.se/btpd/btpd-0.15.tar.gz"
+MD5SUM="b64e2e8b9936e99685bc1e7246655561"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="nmoura"
EMAIL="moura.nilton@gmail.com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"
diff --git a/network/btpd/slack-desc b/network/btpd/slack-desc
index 53554f46c5..d820f64600 100644
--- a/network/btpd/slack-desc
+++ b/network/btpd/slack-desc
@@ -1,11 +1,19 @@
-btpd: BTPD (The BitTorrent Protocol Daemon)
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |--------handy-ruler---------------------------------------------------|
+btpd: btpd (BitTorrent Protocol Daemon)
btpd:
-btpd: BTPD is a bittorrent client consisting of a daemon and
-btpd: client commands, which can be used to read and/or
-btpd: manipulate the daemon state. The daemon is capable of
-btpd: running several torrents simultaneously and only uses one
-btpd: tcp port. It's fairly low on resource usage and should be
-btpd: perfect for file distribution sites. Efficient downloads and
-btpd: ease of use makes this client a good choice for the casual
-btpd: user as well.
-btpd: Homepage: http://www.murmeldjur.se/btpd/
+btpd: Btpd is a utility for sharing files over the BitTorrent network
+btpd: protocol. It runs in daemon mode, thus needing no controlling
+btpd: terminal or gui. Instead, the daemon is controlled by the btcli
+btpd: command line utility, or other programs capable of sending commands
+btpd: and queries on the btpd control socket.
+btpd: The goal is to provide a healthy alternative to the still prevailing
+btpd: ftp/http servers for file distribution sites and a good BitTorrent
+btpd: client for the casual user.
+btpd: Homepage: http://www.murmeldjur.se/btpd/